{
\scriptsize
\begin{algorithm}[H]
	\SetKw{KwAnd}{and}
	\SetKwInOut{Input}{Entradas}
	\SetKwInOut{Output}{Salidas}
	\Input{El número $N$ de iteraciones máximas del algoritmo.}
	\Output{Una solución $S$ que será la mejor encontrada.}
	\BlankLine
	\Begin{
		$S_0 :=$ \text{Generate\_Initial\_Solution}() \\
		$S := S_0$ \\
		\For{$n := 1$ \KwTo $N$}{
			$S_c :=$ \text{Generate\_Solution}($S_a$) \\
			\uIf{$C(S_c) < C(S)$}{
				$S := S_c$ \\
				$S_a := S_c$
			} \uElseIf{$C(S_c) < C(S_a)$} {
				$S_a := S_c$
			} \ElseIf{$C(S_c) > C(S_a)$ \KwAnd \textsc{Random}($S_{n-1}$) $ < e^{(C(S_a) - C(S_c)) / t}$} {
				$S_a := S_c$
			}
			\If {\text{Meeting\_Cooling\_Conditions}()} {
				\text{Cool\_System}()
			}
		}
	}
	\caption{\text{Temple Simulado}\label{alg:SA}}
\end{algorithm}
}